custom_create_contact:
  path: /custom-api/create-contact
  controller: App\Custom\Controller\ContactApiController::createContact
  methods: [GET]

custom_update_contact:
  path: /custom-api/update-contact
  controller: App\Custom\Controller\ContactApiController::updateContact
  methods: [GET]

# Legacy entry point routes for contact operations
legacy_entry_point:
  path: /public/index.php
  controller: App\Custom\Controller\LegacyEntryPointController::handleEntryPoint
  methods: [GET, POST]
